using Sepehr.ApiGateway.Partners.Contracts.Hotel.Booking.V5.Lock.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Hotel.Booking.V5.Lock.ResponseModel;
using SepehrHotelApiSampleClient.BuiltinTypeExtensions;

namespace SepehrHotelApiSampleClient.Booking.Lock.WebApi
{
    public class LockApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Hotel/Booking/V5/Lock",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
